
/* ---------------------------         super heros*/

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');
/* @import url('https://fonts.googleapis.com/css?family=Varela+Round'); */

*{
    margin:0;
    padding:0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

.mapid {
    position: relative;
    top: 0;
    height: 100vh;
    left: 200px;
    width: calc(100% - 200px);
    transition: all 0.3s ease;
    z-index: 0;
}

.sidebar.close ~ .mapid{
    left: 45px;
    width: calc(100% - 45px);    
} 
    


.sidebar{
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 200px;
    background: #11101d ;
    z-index: 100;
    transition: all 0.3s ease;
    opacity: 1;
    /* overflow-y: auto; */
}

.sidebar.close{
    width: 45px;
    opacity: 1;
    text-shadow: none !important;
}

.sidebar .logo-details{
    height: 60px;
    width: 100%;
    display: flex;
    align-items: center;
    text-align: center;
    line-height: 50px;
}

.sidebar .logo-details{
    height: 60px;
    width: 100%;
    display: flex;
    align-items: center;
    text-align: center;
    line-height: 50px;
}

.sidebar .logo-details i{
    font-size: 22px;
    color: #fff;
    height: 50%;
    min-width: 45px;
    text-align: center;
    line-height: 50px;
    cursor: pointer;
    display: flex;
}

.sidebar .logo-details .logo_name{
    font-size: 16px;
    color: #fff;
    font-weight: 600;
    transition: 0.3s ease;
    transition-delay: 0.1s;
    align-items: center;
     vertical-align:middle;
     align-content: center;
     text-align: center;
    line-height: 50px;
    display: flex;
}


.sidebar.close .logo-details .logo_name{
    opacity: 0;
    display: none;
    pointer-events: none;
    transition-delay: 0s;
}

.sidebar.close .logo-details i{
    opacity: 0;
    display: none;
    pointer-events: none;
    transition-delay: 0s;
    color: crimson;
    text-shadow: none !important;
}
.sidebar.close .nav-links{
    overflow: visible;
}

.sidebar .nav-links{
    height: 100%;
    padding-top: 30px;
    overflow: auto;
}

.sidebar .nav-links::-webkit-scrollbar{
    /*display: none;*/
    color: crimson;

}

.sidebar .nav-links li{
    position: relative;
    list-style: none;

}

.sidebar .nav-links li:hover{
    background: #44aec9;
    transition: all 0.3s ease;
    
}

.sidebar .nav-links li .iocn-link{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.sidebar.close .nav-links li .iocn-link{
    display: block;
    opacity: 1;
}

.sidebar .nav-links li i{
    height: 50px;
    min-width: 45px;
    text-align: center;
    line-height: 50px;
    /* color: #fff; */
    color:crimson;
    font-size: 14px;
    transition: all 0.3s ease;
}

.sidebar .nav-links li.showMenu i.arrow{
    transform: rotate(-180deg);
}

.sidebar.close .nav-links i.arrow{
    display: none;
}

.sidebar .nav-links li a{
    display: flex;
    align-items: center;
    text-decoration: none;
}

.sidebar .nav-links li a .link_name{
    font-size: 14px;
    font-weight: 400;
    color: #fff;
}

.sidebar.close .nav-links li a .link_name{
    opacity: 0;
    pointer-events: none;
}

.sidebar .nav-links li .sub-menu{
    padding: 6px 6px 14px 80px;
    margin-top: -10px;
    background: rgba(26, 93, 126, 0.374);
    display: none;
}

.sidebar .nav-links li.showMenu .sub-menu{
    display: block;
    margin-left:-70px;
}

.sidebar .nav-links li .sub-menu a{
    color: #fff;
    font-size: 12px;
    padding: 5px 0;  
    white-space: nowrap;
    opacity: 0.6;
    transition: all 0.3 ease;
}

.sidebar .nav-links li .sub-menu a{
    opacity: 1;
}

.sidebar.close .nav-links li .sub-menu{
    position: absolute;
    left: 100%;
    top: -10px;
    margin-top: 0;
    padding: 10px 20px;
    border-radius: 0 6px 6px 0;
    opacity: 0;
    display: block;
    pointer-events: none;
}

.sidebar.close .nav-links li:hover .sub-menu{
    top: 0;
    opacity: 1;
    pointer-events: auto;
    transition: all 0.4s ease;
    z-index: 999;
}

.sidebar .nav-links li .sub-menu .link_name{
    display: none;
}

.sidebar.close .nav-links li .sub-menu .link_name{
    display: none;
}

.sidebar.close .nav-links li .sub-menu .link_name{
    font-size: 14px;
    opacity: 1;
    display: block;
}

.sidebar .nav-links li .sub-menu.blank{
    opacity: 1;
    pointer-events: auto;
    padding: 3px 20px 6px 16px;
    /* opacity: 0; */
    pointer-events: none;
    transition: 0s;
} 

.sidebar .nav-links li:hover .sub-menu.blank{
    top: 50%;
    transform: translate(-50%);
}

.sidebar .profile-details{
    position: fixed;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 200px;
    background: #208196;
    padding: 6px 0;
    transition: all 0.3s ease;
    z-index: 9999;
}

.sidebar.close .profile-details{
    background: none;
}

.sidebar.close .profile-details{
    width: 45px;
}

.sidebar .profile-details .profile-content{
    display: flex;
    align-items: center;
    width: 70px;
}

.sidebar .profile-details img{
    /* height: 52%; */
    width: 70px;
    object-fit: cover;
    border-radius: 16px;
    margin: 0 ;
    /* background: #4f44c9; */
    /* padding: 5px; */
    transition: all 0.1s ease;
}

.sidebar.close .profile-details img{
    padding: 10px;
}

.sidebar .profile-details .profile_name,
.sidebar .profile-details .job{
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    white-space: nowrap;
}

.sidebar.close .profile-details i,
.sidebar.close .profile-details .profile_name,
.sidebar.close .profile-details .job{
    display: none;
}

.sidebar .profile-details .job{
    font-size: 10px;
}



.home-section {
    position: relative;
    background: #E4E9F7;
    /* height: 100vh; */
    left: 200px;
    width: calc(100% - 200px);
    transition: all 0.3s ease;
}

.sidebar.close ~ .home-section{
    left: 45px;
    width: calc(100% - 45px);    
}

.home-section .home-content{
    height: 60px;
    display: flex;
    align-items: center;
}
.home-section .home-content .bx-menu,
.home-section .home-content .text{
    color: #11101d;
    font-size: 28px;
}

.home-section .home-content .bx-menu{
    margin: 0 15px;
    cursor: pointer;
}
.home-section .home-content .text{
    font-size: 20px;
    font-weight: 600;
}


 








.sidebar .logo-detailss{
    height: 60px;
    width: 100%;
    display: flex;
    align-items: center;
}

.sidebar .logo-detailss i{
    font-size: 22px;
    color: #fff;
    height: 50%;
    min-width: 45px;
    text-align: center;
    line-height: 50px;
    cursor: pointer;
}


   
    
.center{
    position: absolute;
    top:50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
input[type="checkbox"]{
    position: relative;
    width: 40px;
    height: 11px;
    -webkit-appearance: none;
    background: linear-gradient(0deg, #333, #000);
    outline: none;
    border-radius: 20px;
    box-shadow: 0 0 0 4px #353535 0 0 0 5px #3e3e3e, inset 0 0 0 5px rgba(0, 0, 0, 1), 0 5px 10px rgba(0, 0, 0, 0.5), inset 0 0 10px rgba(0, 0, 0, 0.2) ;
}

input:checked[type="checkbox"]{
    background: linear-gradient(0deg, #6dd1ff, #20b7ff);
    box-shadow: 0 0 0 2px #6dd1ff, 0 0 0 4px #353535 0 0 0 5px #3e3e3e, inset 0 0 0 5px rgba(0, 0, 0, 1), 0 5px 10px rgba(0, 0, 0, 0.5), inset 0 0 10px rgba(0, 0, 0, 0.2) ;
}
input[type="checkbox"]:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 25px;
    height: 10px;
    background: linear-gradient(0deg, #000, #6b6b6b);
    border-radius: 15px;
    box-shadow: 0 0 0 1px #232323;
    transform: scale(.98,.96);
    transition: .5s;
}

input:checked[type="checkbox"]:before{
    left: 15px;
}

input[type="checkbox"]:after{
    content: '';
    position: absolute;
    top: calc(50% - 2px);
    left: 17px;
    width: 4px;
    height: 4px;
    background: linear-gradient(0deg,#6b6b6b, #000);
    border-radius: 50%;
    transition: .5s;
}

input:checked[type="checkbox"]:after{
    background: #13b3ff;
    left: 32px;
    box-shadow: 0 0 0 1px #63cdff, 0 0 0 2px #63cdff;
}
 
#slider{
    background: greenyellow;
    width:500%;
}

#slider .ui-slider-range{
    background: lightseagreen;
} 






